# Class: PointProxy

## Phaser.Physics.P2. PointProxy

PointProxy

#### new PointProxy(world, destination)

  A PointProxy is an internal class that allows for direct getter/setter style property access to Arrays and TypedArrays.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `world` | Phaser.Physics.P2 | A reference to the P2 World.
  `destination` | any | The object to bind to.

  Source:
    - physics/p2/PointProxy.js, line 16

### Members

#### x

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `x` | number | The x property of this PointProxy.

  Source:
    - physics/p2/PointProxy.js, line 25

#### y

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `y` | number | The y property of this PointProxy.

  Source:
    - physics/p2/PointProxy.js, line 45